import { SSMClient } from '@aws-sdk/client-ssm';
import { PARAMETER_STORE_SSM_CLIENT, PARAMETER_STORE_CONFIG_PROPERTIES } from '../../constant/config/constant.js';

const ParameterStoreConfigSSMProvider = {
    inject: [PARAMETER_STORE_CONFIG_PROPERTIES],
    provide: PARAMETER_STORE_SSM_CLIENT,
    useFactory: (properties) => {
        return new SSMClient(properties.config ?? {});
    },
};

export { ParameterStoreConfigSSMProvider };
//# sourceMappingURL=ssm-client.provider.js.map
